<?php
/**
 * 管理员权限分配用静态类
 * $Id$
 * @author zongbiao
 * @package jp.fishow.entity.definition
 */
class OrganizationStatus
{
	public $id;
	public $name;
	public $title;
	
	function __construct($record) {
		$this->id = $record["id"];
		$this->name = $record["name"];
		$this->title = $record["title"];
	}
	
	/**
	 * このクラスのインスタンスのリストを返します。
	 * @return array ImageType一覧
	 */
	public static function getList() {
		static $result;
			
		if ((!is_array($result)) || (count($result) < 1)) {
			
			$data = array();
			//待审核
			$tmp = array("id"=>1, "name"=>"NEW", "title"=>"待审核");
			array_push($data, $tmp);
			
			//审核通过
			$tmp = array("id"=>2, "name"=>"OK", "title"=>"审核通过");
			array_push($data, $tmp);
			
			//审核不通过
			$tmp = array("id"=>3, "name"=>"NG", "title"=>"审核不通过");
			array_push($data, $tmp);
					
			$result = array();
			foreach ($data as $row) {
				$tmp2 = new OrganizationStatus($row);
				array_push($result, $tmp2);
			}
		}
		return $result;
	}
	
	/**
	 * IDから対応するインスタンスを返します。
	 * @return OrganizationStatus 対応するインスタンス。ない場合null。
	 */
	public static function getById($id) {
		$list = OrganizationStatus::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp;
			}
		}
		return null;
	}
	
	/**
	 * 定義名から対応するインスタンスを返します。
	 * @return OrganizationStatus 対応するインスタンス。ない場合null。
	 */
	public static function getByName($name) {
		$list = OrganizationStatus::getList();
		foreach ($list as $tmp) {
			if ($tmp->name == $name) {
				return $tmp->title;
			}
		}
		return null;
	}
	
	public static function getTitleById($id) {
		$list = OrganizationStatus::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp->title;
			}
		}
		return null;
	}
	
	/**
	 * 通过定义名取得标题,用于显示
	 * @return 
	 */
	public static function getTitlesByNames($names) {
		if (empty($names)) {
			return "拥有全部权限";
		}
		if (!is_array($names)) {
			$names = explode(",", $names);
		}
		$list = OrganizationStatus::getList();
		$result = array();
		foreach ($list as $tmp) {
			if (in_array($tmp->name, $names)) {
				array_push($result, $tmp->title);
			}
		}
		return implode(",", $result);
	}
}